package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/BussinessReportDataHandleAction.class */
public class BussinessReportDataHandleAction extends LifeAction {
    private String inICollName;
    private String returnIcollName;
    private String reportType;

    public String execute(Context context) throws GENEException {
        IndexedCollection frtIcoll = context.getDataElement(this.inICollName);
        IndexedCollection returnIcoll = context.getDataElement(this.returnIcollName);
        if (this.reportType.equals("1")) {
            if (frtIcoll.size() > 0) {
                for (int i = 0; i < frtIcoll.size() - 1; i++) {
                    KeyedCollection fstColl = (KeyedCollection) frtIcoll.get(i);
                    KeyedCollection secColl = (KeyedCollection) frtIcoll.get(i + 1);
                    KeyedCollection retKcoll = new KeyedCollection();
                    String frtCorN = (String) fstColl.getDataValue("enterpriseSum");
                    String frtCredN = (String) fstColl.getDataValue("creditCount");
                    String frtCreAmtN = (String) fstColl.getDataValue("creditAmtSum");
                    String frtLoanN = (String) fstColl.getDataValue("loanCount");
                    String frtLoanAmtN = (String) fstColl.getDataValue("loanAmtSum");
                    if (frtCorN == null || frtCorN.equals("")) {
                        frtCorN = "0";
                    }
                    if (frtCredN == null || frtCredN.equals("")) {
                        frtCredN = "0";
                    }
                    if (frtCreAmtN == null || frtCreAmtN.equals("")) {
                        frtCreAmtN = "0";
                    }
                    if (frtLoanN == null || frtLoanN.equals("")) {
                        frtLoanN = "0";
                    }
                    if (frtLoanAmtN == null || frtLoanAmtN.equals("")) {
                        frtLoanAmtN = "0";
                    }
                    String month = (String) secColl.getDataValue("creTime");
                    String secCorN = (String) secColl.getDataValue("enterpriseSum");
                    String secCredN = (String) secColl.getDataValue("creditCount");
                    String secCreAmtN = (String) secColl.getDataValue("creditAmtSum");
                    String secLoanN = (String) secColl.getDataValue("loanCount");
                    String secLoanAmtN = (String) secColl.getDataValue("loanAmtSum");
                    if (secCorN == null || secCorN.equals("")) {
                        secCorN = "0";
                    }
                    if (secCredN == null || secCredN.equals("")) {
                        secCredN = "0";
                    }
                    if (secCreAmtN == null || secCreAmtN.equals("")) {
                        secCreAmtN = "0";
                    }
                    if (secLoanN == null || secLoanN.equals("")) {
                        secLoanN = "0";
                    }
                    if (secLoanAmtN == null || secLoanAmtN.equals("")) {
                        secLoanAmtN = "0";
                    }
                    retKcoll.put("rowNum", Integer.valueOf(i + 1));
                    retKcoll.put("creTime", month);
                    retKcoll.put("enterpriseSum", subData(frtCorN, secCorN));
                    retKcoll.put("creditCount", subData(frtCredN, secCredN));
                    retKcoll.put("creditAmtSum", subData(frtCreAmtN, secCreAmtN));
                    retKcoll.put("loanCount", subData(frtLoanN, secLoanN));
                    retKcoll.put("loanAmtSum", subData(frtLoanAmtN, secLoanAmtN));
                    retKcoll.put("compensateCount", "0");
                    retKcoll.put("compensateAmtSum", "0");
                    returnIcoll.addDataElement(retKcoll);
                }
            }
            context.setDataValue("turnPageTotalNum", Integer.valueOf(returnIcoll.size()));
            return "0";
        }
        return "0";
    }

    public String getInICollName() {
        return this.inICollName;
    }

    public void setInICollName(String inICollName) {
        this.inICollName = inICollName;
    }

    public String getReportType() {
        return this.reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public String getReturnIcollName() {
        return this.returnIcollName;
    }

    public void setReturnIcollName(String returnIcollName) {
        this.returnIcollName = returnIcollName;
    }

    public String getComputeData(String data, int len) {
        BigDecimal dataB = new BigDecimal(data);
        BigDecimal cell = new BigDecimal("100000000");
        return new StringBuilder().append(dataB.divide(cell, len, 4)).toString();
    }

    public String addData(String data1, String data2) {
        BigDecimal data1B = new BigDecimal(data1);
        BigDecimal data2B = new BigDecimal(data2);
        return new StringBuilder().append(data1B.add(data2B)).toString();
    }

    public String subData(String data1, String data2) {
        BigDecimal data1B = new BigDecimal(data1);
        BigDecimal data2B = new BigDecimal(data2);
        return new StringBuilder().append(data2B.subtract(data1B)).toString();
    }
}
